Bug 216882 - Make extexecution lightweight
Make extexecution lightweight
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Execution
7.3
All All
: P1 (vote)
: 7.3
Assigned To: Petr Hejl
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 199812
  Show dependency treegraph
 
Reported: 2012-08-14 20:53 UTC by Petr Hejl
Modified: 2012-08-28 02:38 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
the patch (57.25 KB, patch)
2012-08-14 22:15 UTC, Petr Hejl
Details | Diff
fixed patch (67.21 KB, patch)
2012-08-15 07:34 UTC, Petr Hejl
Details | Diff
patch with a test (72.56 KB, patch)
2012-08-15 08:10 UTC, Petr Hejl
Details | Diff
patch with a test (72.56 KB, patch)
2012-08-15 08:12 UTC, Petr Hejl
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2012-08-14 20:53:21 UTC
We should get rid of unwanted dependencies of extexecution which are not a part of an API. These are candidates:

org.openide.loaders
org.openide.nodes
org.openide.text
org.openide.loaders
org.netbeans.modules.options.api
Comment 1 Petr Hejl 2012-08-14 22:15:17 UTC
Created attachment 123118 [details]
the patch

Attaching the patch making extexecution lightweight.
Comment 2 Petr Hejl 2012-08-14 22:15:52 UTC
Please review.
Comment 3 Petr Hejl 2012-08-14 22:17:53 UTC
BTW With this patch all dependencies of extexecution are in platform cluster so if somebody would be interested in pushing it down to platform it would be possible.
Comment 4 Petr Hejl 2012-08-15 07:34:52 UTC
Created attachment 123127 [details]
fixed patch

I've noticed there are 3 implementation files missing in the previous patch - fixed in this one.
Comment 5 Petr Hejl 2012-08-15 08:10:40 UTC
Created attachment 123132 [details]
patch with a test

Added test.
Comment 6 Petr Hejl 2012-08-15 08:12:01 UTC
Created attachment 123133 [details]
patch with a test

Readding and making old patches obsolete.
Comment 7 Jaroslav Tulach 2012-08-15 08:55:02 UTC
Nice. Only one comment:

Y01 Currently the provides/recommends wiring is using a single token although there are separate three interfaces being requested. This basically implies that all the implementations should be in the same module. A more flexible design would provide/recommend one token per interface.
Comment 8 Petr Hejl 2012-08-15 09:01:12 UTC
(In reply to comment #7)
> Nice. Only one comment:
> 
> Y01 Currently the provides/recommends wiring is using a single token although
> there are separate three interfaces being requested. This basically implies
> that all the implementations should be in the same module. A more flexible
> design would provide/recommend one token per interface.
I was thinking about that and my reasoning was that the other two things has reasonable default implementation while missing OptionOpenHandler causes kind of missing functionality (no option button and warning in the log). So I choose only this one as a token. Do you think I should add File and Http handlers as well? No problem with that. I do not have a strong opinion about this.
Comment 9 Petr Hejl 2012-08-15 10:45:20 UTC
FYI I have pushed the current patch as:

changeset:   229893:bb87ed1ecd16
branch:      extexecution-split
tag:         tip
user:        Petr Hejl <phejl@netbeans.org>
date:        Wed Aug 15 12:42:22 2012 +0200
summary:     #216882 Make extexecution lightweight

I'll keep the issue open at least for a week and integrate possible suggestions to the branch.
Comment 10 Petr Hejl 2012-08-21 11:27:10 UTC
There does not seem to be any controversy about this patch. I'll merge the change on Monday.
Comment 11 Petr Hejl 2012-08-22 13:55:30 UTC
Y01 fixed:

changeset:   230571:348f80a879bf
branch:      extexecution-split
tag:         tip
user:        Petr Hejl <phejl@netbeans.org>
date:        Wed Aug 22 15:55:00 2012 +0200
summary:     #216882 - Make extexecution lightweight
Comment 12 Petr Hejl 2012-08-27 17:20:31 UTC
Merged to trunk 52a25242e523. Thanks for the review.
Comment 13 Quality Engineering 2012-08-28 02:38:37 UTC
Integrated into 'main-golden', will be available in build *201208280001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/bb87ed1ecd16
User: Petr Hejl <phejl@netbeans.org>
Log: #216882 Make extexecution lightweight


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo